org.codehaus.plexus.container.initialization

## Class ContainerInitializationContext

- java.lang.Object
- - org.codehaus.plexus.container.initialization.ContainerInitializationContext

    public class ContainerInitializationContext
    extends java.lang.Object

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`ContainerInitializationContext(DefaultPlexusContainer container, org.codehaus.plexus.classworlds.ClassWorld classWorld, org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm, PlexusConfiguration configuration, ContainerConfiguration containerConfiguration)`

### Method Summary

Methods
`org.codehaus.plexus.classworlds.ClassWorld` `getClassWorld()`
`DefaultPlexusContainer` `getContainer()`
`ContainerConfiguration` `getContainerConfiguration()`
`org.codehaus.plexus.classworlds.realm.ClassRealm` `getContainerRealm()`
`PlexusConfiguration` `getContainerXmlConfiguration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerInitializationContext

    public ContainerInitializationContext(DefaultPlexusContainer container,
                                  org.codehaus.plexus.classworlds.ClassWorld classWorld,
                                  org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm,
                                  PlexusConfiguration configuration,
                                  ContainerConfiguration containerConfiguration)

### Method Detail

#### getContainer

    public DefaultPlexusContainer getContainer()

#### getClassWorld

    public org.codehaus.plexus.classworlds.ClassWorld getClassWorld()

#### getContainerRealm

    public org.codehaus.plexus.classworlds.realm.ClassRealm getContainerRealm()

#### getContainerXmlConfiguration

    public PlexusConfiguration getContainerXmlConfiguration()

#### getContainerConfiguration

    public ContainerConfiguration getContainerConfiguration()